summaryrefslogtreecommitdiffstats
path: root/games/miscom/miscom.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/miscom/miscom.SlackBuild')
-rw-r--r--games/miscom/miscom.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/games/miscom/miscom.SlackBuild b/games/miscom/miscom.SlackBuild
new file mode 100644
index 0000000000..d165820763
--- /dev/null
+++ b/games/miscom/miscom.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for miscom
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=miscom
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM
+chown -R root:root .
+
+# upstream's permissions are fugly.
+chmod 644 *
+chmod 755 sounds
+chmod 644 sounds/*
+
+# fix compiler warnings, some of which might actually cause problems.
+patch -p1 < $CWD/fixwarnings.diff
+
+# build with libaoss unless user disables it.
+if [ "${AOSS:-yes}" = "yes" ]; then
+ sed -i '/^LIBS/s,$, -laoss,' Makefile
+fi
+
+# use our flags.
+sed -i "s,-O,-Wall $SLKCFLAGS," Makefile
+
+# default datadir is weird.
+make DATADIR=/usr/share/games/$PRGNAM
+
+# manual install since the permissions are weird.
+mkdir -p $PKG/usr/games $PKG/usr/man/man6 $PKG/usr/share/games/$PRGNAM
+install -s -m0755 $PRGNAM $PKG/usr/games
+gzip -9c < $PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+cp -r sounds/* $PKG/usr/share/games/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README ChangeLog TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}